# $Revision: 1.6 $, $Date: 2004/04/20 23:07:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Path-Expand
Summary:	File::Path::Expand - expand filenames
Summary(pl):	File::Path::Expand - rozwijanie nazw plikw
Name:		perl-File-Path-Expand
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f09799e04a24fbb2879e5e18437ebdf
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Path::Expand expands user directories in filenames. For the
simple case it's no more complex than s{^~/}{$HOME/}, but for other
cases it consults getpwent and does the right thing.

%description -l pl
File::Path::Expand rozwija katalogi uytkownika w nazwach plikw. W
prostym przypadku nie jest to bardziej skomplikowane od
s{^~/}{$HOME/}, ale w innych wykorzystywana jest funkcja getpwent, aby
zrobi to co trzeba.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Path-Expand.spec,v $
Revision 1.6  2004/04/20 23:07:07  ankry
- new bcond fixes

Revision 1.5  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.4  2004/04/14 14:57:19  ankry
- cosmetics

Revision 1.3  2003/11/28 19:45:50  qboosh
- pl

Revision 1.2  2003/11/27 17:09:08  ankry
- md5

Revision 1.1  2003/11/23 13:16:14  radek
- new
